#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoauth2
version:              2.2.0
visibility:           public
id:                   hoauth2-2.2.0-5m6Fpp8ZYKPBzzHu9c0X1m
key:                  hoauth2-2.2.0-5m6Fpp8ZYKPBzzHu9c0X1m
license:              BSD-3-Clause
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client. Tested with the following services:

    * AzureAD: <https://docs.microsoft.com/en-us/azure/active-directory/develop/v1-protocols-oauth-code>

    * Google: <https://developers.google.com/accounts/docs/OAuth2WebServer>

    * Github: <http://developer.github.com/v3/oauth/>

    * Facebook: <http://developers.facebook.com/docs/facebook-login/>

    * Fitbit: <http://dev.fitbit.com/docs/oauth2/>

    * StackExchange: <https://api.stackexchange.com/docs/authentication>

    * DropBox: <https://www.dropbox.com/developers/reference/oauth-guide>

    * Weibo: <http://open.weibo.com/wiki/Oauth2>

    * Douban: <http://developers.douban.com/wiki/?title=oauth2>

category:             Network
abi:                  19c4844630b0193ec525585983f7af8b
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.Internal
    Network.OAuth.OAuth2.TokenRequest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hoauth2-2.2.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hoauth2-2.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.2.0-5m6Fpp8ZYKPBzzHu9c0X1m
depends:
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 exceptions-0.10.4
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    http-conduit-2.3.8-9OUyZMgta8f8mjMBxHlpNz
    http-types-0.12.3-HJjFCIFOWy1Kz5qxjh7N70
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    uri-bytestring-0.3.3.1-ZZ5kRM5U1zEGCatzRasZ6
    uri-bytestring-aeson-0.1.0.8-Kg7np2VFz2d81br7XE1i2

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

